import sys
from PyQt4 import QtGui, QtCore
from testlayout import Ui_TestLayout

class Test(QtGui.QMainWindow, Ui_TestLayout):
	def __init__(self):
		QtGui.QMainWindow.__init__(self)
		Ui_TestLayout.__init__(self)
		# Configure ui interface
		self.setupUi(self)

		# connect add button to add text to list
		self.connect(self.addButton, QtCore.SIGNAL("clicked()"), self.addToList)
		# connect clear button to clear list
		self.connect(self.clearButton, QtCore.SIGNAL("clicked()"), self.clearList)

	def addToList(self):
		self.listBox.addItem(self.editBox.text())
		self.editBox.clear()

	def clearList(self):
		self.listBox.clear()

if __name__ == "__main__":
	app = QtGui.QApplication(sys.argv)
	window = Test()
	window.show()
	sys.exit(app.exec_())